Bug 206986 - dns/powerdns: Update to 3.4.8, convert to OPTIONS helpers
Summary: dns/powerdns: Update to 3.4.8, convert to OPTIONS helpers
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Raphael Kubo da Costa
URL: https://doc.powerdns.com/md/changelog...
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-02-06 21:07 UTC by Ralf van der Enden
Modified: 2016-02-12 20:46 UTC (History)
1 user (show)

See Also:


Attachments
3.4.8 diff (8.01 KB, patch)
2016-02-06 21:07 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
Poudriere buildlog (54.16 KB, text/plain)
2016-02-06 21:08 UTC, Ralf van der Enden
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2016-02-06 21:07:38 UTC
Created attachment 166672 [details]
3.4.8 diff

Update to PowerDNS Auth 3.4.8

CHANGELOG: https://doc.powerdns.com/md/changelog/#powerdns-authoritative-server-348

Remove luabackend patches since those are upstream'd.

Also convert to OPTIONS helpers.

Removed files:
files/patch-modules__luabackend__lua_functions.cc
files/patch-modules__luabackend__luabackend.hh
Comment 1 Ralf van der Enden 2016-02-06 21:08:09 UTC
Created attachment 166673 [details]
Poudriere buildlog
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-09 15:40:23 UTC
Thanks Ralf :)

maintainer-feedback "+" only needed in response to "?"
Comment 3 Ralf van der Enden 2016-02-09 19:50:02 UTC
Hi Kubilay,

Did I at least set the maintainer-approval right on the diff attachment ?

Thanks for your reply.
Comment 4 commit-hook freebsd_committer 2016-02-12 20:44:12 UTC
A commit references this bug:

Author: rakuco
Date: Fri Feb 12 20:43:32 UTC 2016
New revision: 408757
URL: https://svnweb.freebsd.org/changeset/ports/408757

Log:
  Update to PowerDNS Auth 3.4.8

  CHANGELOG: https://doc.powerdns.com/md/changelog/#powerdns-authoritative-server-348

  Remove luabackend patches since those are upstream'd.

  Also convert to OPTIONS helpers.

  PR:		206986
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)

Changes:
  head/dns/powerdns/Makefile
  head/dns/powerdns/distinfo
  head/dns/powerdns/files/patch-modules__luabackend__lua_functions.cc
  head/dns/powerdns/files/patch-modules__luabackend__luabackend.hh
Comment 5 Raphael Kubo da Costa freebsd_committer 2016-02-12 20:46:12 UTC
Committed, thanks!